<?php
    define('MODX_MANAGER_PATH', "../../../manager/");
	define('MODX_API_MODE', true);

	require_once(MODX_MANAGER_PATH . 'includes/config.inc.php');
	require_once(MODX_MANAGER_PATH . 'includes/protect.inc.php');
	require_once(MODX_MANAGER_PATH . 'includes/document.parser.class.inc.php');
	require_once(MODX_MANAGER_PATH . "includes/controls/class.phpmailer.php");
	require_once MODX_BASE_PATH."assets/snippets/payment/config/easypay.php";

	$modx = new DocumentParser;
	$modx->db->connect();
	$modx->getSettings();
    $mod_table = $modx->db->config['table_prefix']."manager_shopkeeper";

	$site_url = URL;
    
	$result = $_REQUEST['action'];
	$order_id = $_REQUEST['EP_OrderNo'];

	if($result == 'fail'){
		//   ""
        $change_status = $modx->db->update(array('status' => 5), $mod_table, "id = $order_id");
        $modx->invokeEvent('OnSHKChangeStatus',array('order_id'=>$order_id,'status'=>5));

		echo '<div style="text-align:center;">
			<div style="color:#D1001D; font-size:20px; font-weight:bold; padding-bottom:15px;">  </div>
			
			<a href="'.$site_url.'">
				<button style="background-color: #e7e7e7; border: none; padding: 15px 32px;
    text-align: center; text-decoration: none; display: inline-block; font-size: 16px;">
				 
				</button>
				</a>
			</div>';
		
	}else if($result == 'success'){
		// 
		echo '<div style="text-align:center;">
			<div style="color:#00a12d; font-size:20px; font-weight:bold;">   </div>	
			<a href="'.$site_url.'">
				<button style="background-color: #e7e7e7; border: none; padding: 15px 32px;
    text-align: center; text-decoration: none; display: inline-block; font-size: 16px;">
				 
				</button>
				</a>
			</div>';

	}else if($result == 'notify'){

		//  
		$values = array();
		$values['order_mer_code']	= $_REQUEST['order_mer_code'];
		$values['sum']				= $_REQUEST['sum'];
		$values['mer_no']			= $_REQUEST['mer_no'];
		$values['card']				= $_REQUEST['card'];
		$values['purch_date']		= $_REQUEST['purch_date'];
		$values['notify_signature']	= $_REQUEST['notify_signature'];

		$order_id = $values['order_mer_code'];

		//   
		$signature_checked = validateRequest($values);

		if ($signature_checked == 1){

			$order = $modx->db->getRow($modx->db->select("id, short_txt, content, allowed, addit, price, currency, DATE_FORMAT(date,'%d.%m.%Y %k:%i') AS date, status, email, phone, payment, tracking_num,  userid", $mod_table, "id = $order_id", "", ""));

			$update_arr = array('status' => 6);
			$change_status = $modx->db->update($update_arr, $mod_table, "id = $order_id");
			$modx->invokeEvent('OnSHKChangeStatus',array('order_id'=>$order_id,'status'=>6));//    ""
			header("HTTP/1.0 200 OK");
			print $status = 'OK | the notice is processed'; // 
		}elseif ($signature_checked == 0){
			header("HTTP/1.0 400 Bad Request");
			print $status = 'FAILED | incorrect digital signature'; //   
		}else{
			header("HTTP/1.0 400 Bad Request");
			print $status = 'FAILED | the notice is not processed'; //  
		} 
	}

		//    
		function validateRequest($request){	
			$signature_checked = -1;
			if (isset($request['order_mer_code']) && 
				isset($request['sum']) && 
				isset($request['mer_no']) && 
				isset($request['card']) && 
				isset($request['purch_date'])
				){
				$signature_checked = 0;
				$hash = md5($request['order_mer_code'] . 
						$request['sum'] . 
						$request['mer_no'] . 
						$request['card'] . 
						$request['purch_date'] . 
						WEB_KEY);
				if ($hash == $request['notify_signature']){
					$signature_checked = 1;
				}
			}

		return $signature_checked;
		}

  
?>
